package com.gic.haoban.manage.web.controller;

import com.gic.haoban.auth.api.dto.DisplayRelationShortInfoDTO;
import com.gic.haoban.auth.api.dto.UserRightDetailDTO;
import com.gic.haoban.common.utils.AuthRequestUtil;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;
import org.apache.commons.collections.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * Created 2018/7/18.
 *
 * @author hua
 */
public class WebBaseController {

    protected final String defaultReturn = "json";

    public HaobanResponse resultResponse(HaoBanErrCode errCode, Object data, String detailError) {
        HaobanResponse response = new HaobanResponse();
        response.setMessage(errCode.getMsg());
        response.setErrorCode(errCode.getCode());
        response.setResult(data);
        response.setDetailError(detailError);
        return response;
    }

    public HaobanResponse resultResponse(HaoBanErrCode errCode, Object data) {
        return resultResponse(errCode, data, null);
    }

    public HaobanResponse resultResponse(HaoBanErrCode errCode) {
        return resultResponse(errCode, null, null);
    }
    public HaobanResponse resultResponse(HaoBanErrCode errCode, String message,Object data,String detailError) {
        HaobanResponse response = new HaobanResponse();
        response.setMessage(message);
        response.setErrorCode(errCode.getCode());
        return response;
    }
    

    /**
     * 获取登陆信息
     *
     * @return
     */
    protected UserRightDetailDTO getLoginUser() {
        return (UserRightDetailDTO) AuthRequestUtil.getSessionUser();
    }

    public boolean haveRight(List<DisplayRelationShortInfoDTO> list){
    	List<String> groupList = new ArrayList<String>();
    	List<String> storeList = new ArrayList<String>();
    	List<String> clerkList = new ArrayList<String>();
    	if(list==null){
    		return false;
    	}
        for(DisplayRelationShortInfoDTO showDto :list){
        	if(showDto.getGroupId()!=null){
        		groupList.add(showDto.getGroupId());
        	}
        	if(showDto.getStoreId()!=null){
        		storeList.add(showDto.getStoreId());
        	}
        	if(showDto.getClerkId()!=null){
        		clerkList.add(showDto.getClerkId());
        	}
        }
        if(CollectionUtils.isEmpty(groupList) && CollectionUtils.isEmpty(storeList) && CollectionUtils.isEmpty(clerkList)){
        	return false;
        }
        return true;
    }
}
