package com.gic.haoban.manage.web.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.StaffDTO;
import com.gic.haoban.manage.api.dto.WxEnterpriseDTO;
import com.gic.haoban.manage.api.service.ApplicationApiService;
import com.gic.haoban.manage.api.service.StaffApiService;
import com.gic.haoban.manage.api.service.WxEnterpriseApiService;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;
import com.gic.haoban.manage.web.vo.InfoVo;
import com.gic.wechat.api.service.qywx.QywxCorpApiService;

@RestController
public class InfoController extends WebBaseController{
	public static final  String siteId = "ww7d6566614055cf27";

	@Autowired
	private ApplicationApiService applicationApiService;
	@Autowired
	private QywxCorpApiService qywxCorpApiService;
	@Autowired
	private StaffApiService staffApiService;
	@Autowired
	private WxEnterpriseApiService wxEnterpriseApiService;
	@RequestMapping("get-info-by-code")
	public HaobanResponse getInfoByCode(String code) {
		String userId = qywxCorpApiService.getUserInfoSimple(siteId,code);
		StaffDTO loginStaff = staffApiService.selectByUserId(userId);
		String wxEnterpriseId = loginStaff.getWxEnterpriseId();
		WxEnterpriseDTO wxEnterpriseDTO = wxEnterpriseApiService.getOne(wxEnterpriseId);
		String accesstoken = qywxCorpApiService.getCorpAccessToken(wxEnterpriseDTO.getCorpid(), siteId);
		InfoVo infoVo = new InfoVo();
		infoVo.setAccessToken(accesstoken);
		infoVo.setStaffId(loginStaff.getStaffId());
		infoVo.setWxEnterpriseId(wxEnterpriseId);
		return resultResponse(HaoBanErrCode.ERR_1,infoVo);
		
	}

}
